# swagger_client.DeploymentPredictionApi

All URIs are relative to *https://eddy-bordi.dev.c2.bel1.kube.pvio.tech/ext/v1*

Method | HTTP request | Description
------------- | ------------- | -------------
[**download_prediction**](DeploymentPredictionApi.md#download_prediction) | **GET** /deployment-predictions/{predictionId}/download | download prediction
[**get_prediction_by_id**](DeploymentPredictionApi.md#get_prediction_by_id) | **GET** /deployment-predictions/{predictionId} | get prediction

# **download_prediction**
> download_prediction()

download prediction

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: master_token
configuration = swagger_client.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.DeploymentPredictionApi(swagger_client.ApiClient(configuration))
 = swagger_client.null() #  | ID of prediction to return

try:
    # download prediction
    api_instance.download_prediction()
except ApiException as e:
    print("Exception when calling DeploymentPredictionApi->download_prediction: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **** | [****](.md)| ID of prediction to return | 

### Return type

void (empty response body)

### Authorization

[master_token](../README.md#master_token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_prediction_by_id**
> DefinitionsdeploymentPrediction get_prediction_by_id()

get prediction

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# Configure API key authorization: master_token
configuration = swagger_client.Configuration()
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# create an instance of the API class
api_instance = swagger_client.DeploymentPredictionApi(swagger_client.ApiClient(configuration))
 = swagger_client.null() #  | ID of prediction to return

try:
    # get prediction
    api_response = api_instance.get_prediction_by_id()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DeploymentPredictionApi->get_prediction_by_id: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **** | [****](.md)| ID of prediction to return | 

### Return type

[**DefinitionsdeploymentPrediction**](DefinitionsdeploymentPrediction.md)

### Authorization

[master_token](../README.md#master_token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

